import com.bjc.content.*;
import java.io.*;

/*
		Send message to all users in group
*/

public class SendGroup extends MetaContent implements MetaAccess
{ 
	public void processContent() throws CustomException
	{ 
			// Do logging
			logger.log( "Sending message to group " + request.getVar( "gid" ) );
			// Add one node with gid attribute
			response.startNode( "GROUPMSG" );
			response.setAttribute( "GID", request.getVar( "gid" ) );
			// Add the message to the response
			response.addCData( request.getVar( "msg" ) );
			response.endNode( "GROUPMSG" );
			// Send to group
			response.sendGroup( request.getVar( "gid" ) );
	}
}