import com.bjc.content.*;
import java.sql.ResultSet;

/**
 * Returns all rows in the address book
 */
 	
public class GetAll extends MetaContent implements MetaAccess
{
    public void processContent() throws CustomException
    {
		 		String sql = new String();
				
				// Build the SQL statement
				sql = "SELECT * FROM addressbook ORDER BY name ASC;";
				
				// Run the update
        ResultSet rs = database.runQuery( "conn1", sql );
				
				if( rs != null )
				{
				 		// Add the ResultSet to the response
				 		response.addRsNode( "ADDRESSBOOK", rs );
				}
				else
				{
				 		throw new CustomException( -1, "Couldn't run query" );
				}
				
				response.send(); // Notify client
    }
}
