import com.bjc.content.*;
import java.io.*;

/**
 * Join a group and notify all other clients
 */
 
public class JoinGroup extends MetaContent implements MetaAccess
{ 
	public void processContent() throws CustomException
	{ 
			// Do logging
			logger.log( "User " + user.getPublicID() + " joining group " + request.getVar( "gid" ) );
			// Join to a group
			group.addUserToGroup( request.getVar( "gid" ), 
														user.getPublicID(),
														request.getVar( "name" ) );
														
			response.startNode( "USER" );
			response.setAttribute( "ID", user.getPublicID() );
			response.setAttribute( "NAME", request.getVar( "name" ) );
			response.setAttribute( "GID", request.getVar( "gid" ) );
			response.endNode( "USER" );
			
			response.sendAll();
	}
}