import com.bjc.content.*;
import java.io.*;

/**
 * Save file to the EditorFiles directory
 */
 
public class SaveFile extends MetaContent implements MetaAccess
{ 
	public void processContent() throws CustomException
	{ 
			BufferedWriter out;
			
			try 
			{
			 		File file = new File( application.getPath() + 
							 									File.separator + "EditorFiles" + 
																File.separator + request.getVar( "file" ) );
																			 		
			 		FileWriter fw = new FileWriter( file, false );
			 		out = new BufferedWriter( fw );
					out.write( request.getVar( "document" ) );
					out.close(); // Close the file stream			
			} 
			catch( IOException e )
			{
			 		throw new CustomException( -3, "Couldn't write file" );
			} 		
			finally{}
		
    	// Send to the list back to client
    	response.send();   
	}
}